package wxcard

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/wxcard"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /api/card/qrcode wxcard GetApiWxCardQrcode
//
// Get wx card share qrcode | 通过小程序分享二维码
//
// Get wx card share qrcode | 通过小程序分享二维码
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: QrcodeReq
//

func GetApiWxCardQrcodeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.QrcodeReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := wxcard.NewGetApiWxCardQrcodeLogic(r.Context(), svcCtx)
		l.GetApiWxCardQrcode(&req, w)
		//if err != nil {
		//	httpx.ErrorCtx(r.Context(), w, err)
		//} else {
		//	httpx.Ok(w)
		//}
	}
}
